@import "variables";
@import "utility";
@import "~bootstrap/scss/mixins/breakpoints";

#{$rootNode} .wa-wysiwyg {
  @each $name, $values in $title-w {
    .title-w-#{$name} {
      font-family: $font-secondary;
      letter-spacing: 2px;
      @each $key, $value in $values {
        @if $key == "fs" {
          font-size: $value;
        } @else {
          margin-bottom: $value;
        }
      }
    }
  }

  @each $name, $values in $title-a {
    .title-a-#{$name} {
      font-family: $font-primary;
      letter-spacing: 0;
      @each $key, $value in $values {
        @if $key == "fs" {
          font-size: $value;
        } @else {
          margin-bottom: $value;
        }
      }
    }
  }
}

#{$rootNode} .wa-wysiwyg {
  p {
    font-family: $font-primary;
    font-size: 16px;
    line-height: 1.3;
    font-weight: $fh-light;

    @include media-breakpoint-only(sm) {
      font-size: 18px;
    }

    @include media-breakpoint-up(md) {
      font-size: 24px;
    }

    strong,
    b {
      font-weight: $fh-extra-bold;
    }

    small {
      font-size: 16px;
      line-height: 1.3;
      font-weight: $fh-light;

      @include media-breakpoint-only(sm) {
        font-size: 18px;
      }

      @include media-breakpoint-up(md) {
        font-size: 20px;
      }

      strong {
        font-weight: $fh-extra-bold;
      }
    }

    a {
      color: $color-blue-logo;
      text-decoration: none;

      &:hover {
        color: $color-oxford-blue;
        text-decoration: underline;
      }
    }
  }
}

ul,
ol {
  padding-left: 0;

  li {
    font-size: 16px;
    line-height: 1.4;
    font-weight: $fh-light;
    margin-bottom: 16px;
    list-style-position: inside;

    @include media-breakpoint-only(sm) {
      font-size: 18px;
    }

    @include media-breakpoint-up(md) {
      font-size: 20px;
    }
  }
}
